<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>com.hsuk</groupId>
    <artifactId>video-viewsconsumer-parent</artifactId>
    <packaging>pom</packaging>
    <version>1.0.3-SNAPSHOT</version>

    <parent>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-parent</artifactId>
        <version>2.2.5.RELEASE</version>
    </parent>

    <modules>
        <module>video-viewsconsumer-api</module>
        <module>video-viewsconsumer-dao</module>
    </modules>

    <scm>
        <connection>scm:git:https://gitlab.com/video-views-counter/video-viewscount-service.git</connection>
        <developerConnection>scm:git:https://gitlab.com/video-views-counter/video-viewscount-service.git</developerConnection>
        <tag>HEAD</tag>
    </scm>

    <dependencies>
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
            <version>1.18.12</version>
        </dependency>

        <dependency>
            <groupId>com.hsuk</groupId>
            <artifactId>hsuk-utils</artifactId>
            <version>1.0.11</version>
        </dependency>

        <dependency>
            <groupId>com.fasterxml.jackson.core</groupId>
            <artifactId>jackson-databind</artifactId>
        </dependency>

        <!-- https://mvnrepository.com/artifact/org.springframework.boot/spring-boot-starter-data-jpa -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-data-jpa</artifactId>
            <version>2.2.5.RELEASE</version>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-actuator</artifactId>
        </dependency>

        <!-- https://mvnrepository.com/artifact/javax.cache/cache-api -->
        <dependency>
            <groupId>javax.cache</groupId>
            <artifactId>cache-api</artifactId>
            <version>1.0.0</version>
        </dependency>

    </dependencies>

    <repositories>

        <repository>
            <id>central</id>
            <url>http://nexus.corp.hsuk.com/content/repositories/central/</url>
            <snapshots>
                <enabled>true</enabled>
            </snapshots>
        </repository>

        <repository>
            <id>snapshots</id>
            <url>http://nexus.corp.hsuk.com/content/repositories/snapshots/</url>
        </repository>

        <repository>
            <id>releases</id>
            <url>http://nexus.corp.hsuk.com/content/repositories/releases/</url>
        </repository>

    </repositories>

    <pluginRepositories>
        <pluginRepository>
            <id>central</id>
            <url>http://nexus.corp.hsuk.com/content/repositories/central/</url>
            <snapshots>
                <enabled>true</enabled>
            </snapshots>
        </pluginRepository>
    </pluginRepositories>

    <distributionManagement>
        <snapshotRepository>
            <id>snapshots</id>
            <url>http://nexus.corp.hsuk.com/content/repositories/snapshots/</url>
            <uniqueVersion>false</uniqueVersion>
        </snapshotRepository>

        <repository>
            <id>releases</id>
            <url>http://nexus.corp.hsuk.com/content/repositories/releases/</url>
        </repository>
    </distributionManagement>

    <profiles>
        <profile>
            <id>qaa</id>
            <activation>
                <activeByDefault>true</activeByDefault>
            </activation>

            <properties>
                <app.env>qaa</app.env>
            </properties>

        </profile>

        <profile>
            <id>prod</id>
            <activation>
                <activeByDefault>false</activeByDefault>
            </activation>

            <properties>
                <app.env>prod</app.env>
            </properties>

        </profile>

    </profiles>

</project>